Subject: Re: [lojban] Re: loi preti be fi lo nincli zo'u tu'e

From: Robert LeChevalier <[email-masked]>
Date: Tue, 28 Jan 2003 17:27:19 -0500

At 02:01 PM 1/28/03 -0800, Robin wrote:
>On Tue, Jan 28, 2003 at 03:52:46PM -0500, Robert LeChevalier wrote:
> > >Another way, and this I actually don't mind much:
> > >
> > >lu'i .abu boi xi .ibu to .ibu cmima be tau .ibu toi
> > >
> > >That seems workable in practice.
> >
> > I haven't been paying attention but ...
> >
> > If I understand what you are trying for, the canonical way (i.e. the
> > one I planned for) to express the above is:
> > lu'i .abuboi xi veimo'e .ibu poi cmima tau .ibu
>
>Usable, but it implies that .ibu isn't an operand by default, which
>seems Very Bad.

.ibu can be an operand, an operator, or a sumti

By itself, it is closest to an operand, but when you want to qualify it by 
saying it is a member of tau .ibu, the statement of membership is a mekso 
(or in this case a sumti with restrictive clause) and needs to be marked as 
such and THEN converted to an operand.

> > Alternatively, you need an operator for membership:
> > lu'i .abuboi xi vei .ibu na'u cmima tau .ibu
>
>That annoys me less. Thanks.

For the original question - union as an operator would probably be "jorne 
bu". I'll let someone else figuire out intersection.

lojbab

-- 
lojbab [email-masked]
Bob LeChevalier, President, The Logical Language Group, Inc.
2904 Beau Lane, Fairfax VA 22031-1303 USA 703-385-0273
Artificial language Loglan/Lojban: http://www.lojban.org